Jump to content

Revision Cloud


TunzaGibbo

Recommended Posts

Our office only uses 1 set of settings to create a Rev Cloud. Is there a way I can write this into a Lisp file?

Example: (c:_revcloud "A" 4.5 "P" pause) A being for Arc size & P for Polygonals

(bns_revcloud "A" 4.5 "P" pause) tried bns because that works with Express Tools

 

These don't work but something like these.

 

Thank you

Tony

Link to comment
Share on other sites

Hi rlx, I am afraid we need "rll.lsp" or something equivalent to answer calling (load "rll") statement... Not sure, but I suppose it could be incorporated inside the same function...

 

Thanks, M.R.

Link to comment
Share on other sites

Hi rlx, I am afraid we need "rll.lsp" or something equivalent to answer calling (load "rll") statement... Not sure, but I suppose it could be incorporated inside the same function...

 

Thanks, M.R.

 

 

oops ...:oops:

 

 

always forget that one... time to update and merge these files. Have updated my original post. You also have tot rename rl-layer.lsp to *.dat. (else couldn't upload)You can make your own data file , its just a text file with on each line : name layer name line-type and color. And just change the name from RL-layer.dat to your-layers.dat or whatever.

 

 

gr. Rlx

Link to comment
Share on other sites

Thanks rlx, I decided to implement everything you attached into one single *.LSP... It works fine for me, only lack I've found was in Free option, which I altered just a little to suit my needs... You can look now and check if there is something else, but I think it's fine now... I've already put it in my startup acaddoc.lsp... Thanks again, wish you all the best, M.R.

RlxCloud.LSP

Edited by marko_ribar
Link to comment
Share on other sites

Thanks rlx, I decided to implement everything you attached into one single *.LSP... It works fine for me, only lack I've found was in Free option, which I altered just a little to suit my needs... You can look now and check if there is something else, but I think it's fine now... I've already put it in my startup acaddoc.lsp... Thanks again, wish you all the best, M.R.

 

looking at the code (my own code) is looking back in time , when I was in my 'early' years and I can do much better by now so I'm a little ashamed for it now. Despite the lack of programming style it does the job for me and probably the reason upgrading it has always been low priority. While back I rewrote my batch utility and ended up starting from scratch and although I am pleased with the result it did cost me a lot of time. But if and when I have time I maybe will rewrite this routine completely. But thanx you like it anyway.

 

gr. Rlx

Link to comment
Share on other sites

Hi, I know It is nowhere as complex as RLX's but here is what we use in our office. Hope it helps.

(defun c:myrevcloud ( / moc pt2 polrad poly mincrad maxcrad newcloud)
 (setq moc (getpoint "\nPick center of the Revcloud"))
 (setq pt2 (getpoint "\nPick point away from center"))
 (setq polrad (distance moc pt2))
 (command "_polygon" 7 moc "" polrad)
 (setq poly (entlast))
 (setq mincrad (/ polrad 2))
 (setq maxcrad (* polrad 0.6))
 (command "_revcloud" "A" mincrad maxcrad "o" poly "")
 (setq newcloud (entlast))
 (entmod (subst '(43 . 1 ;|new global width of line| (assoc 43 (setq newcloud (entget newcloud))) newcloud))
 (princ)
 )

Link to comment
Share on other sites

Hi, I know It is nowhere as complex as RLX's but here is what we use in our office. Hope it helps.

 

It's actually a nice cloud :D

 

 

 

 

 

My appie saw first light in a time there was no revcloud command in autocad. It had saved me a lot of work (but also a lot of fun :xmas: )

 

thanx for your contribution aawilds

 

gr. Rlx

Link to comment
Share on other sites

Thanks rlx, I decided to implement everything you attached into one single *.LSP... It works fine for me, only lack I've found was in Free option, which I altered just a little to suit my needs... You can look now and check if there is something else, but I think it's fine now... I've already put it in my startup acaddoc.lsp... Thanks again, wish you all the best, M.R.

 

p.s. fast rewrite! what are you, speedy gonzales? :beer:

Link to comment
Share on other sites

It's actually a nice cloud :D

 

 

 

 

 

My appie saw first light in a time there was no revcloud command in autocad. It had saved me a lot of work (but also a lot of fun :xmas: )

 

thanx for your contribution aawilds

 

gr. Rlx

 

Thank you, I am just happy that I got to contribute, usually I am the one asking questions.:D

Link to comment
Share on other sites

Nice program, Rlx!

I always get impressed by your dialogs! :o

 

thanx Grrr , still think there's room for improvement both dialog and coding but its doing what its suppost to do :P ... for now

 

Gr. Rlx

Link to comment
Share on other sites

I thought I'd try this one again.

 

Our office only uses 1 set of settings to create a Rev Cloud. Is there a way I can write this into a Lisp file using the Autocad Revision Cloud command "revcloud"?

Example: (c:_revcloud "A" 4.5 "P" pause)

A being for Arc size & P for Polygonals

 

Thank you

Tony

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...